## List Sinks `client.pipelines.sinks.list(SinkListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/pipelines/v1/sinks` List/Filter Sinks in Account. ### Parameters - `params: SinkListParams` - `account_id: string` Path param: Specifies the public ID of the account. - `page?: number` Query param - `per_page?: number` Query param - `pipeline_id?: string` Query param ### Returns - `SinkListResponse` - `id: string` Indicates a unique identifier for this sink. - `created_at: string` - `modified_at: string` - `name: string` Defines the name of the Sink. - `type: "r2" | "r2_data_catalog"` Specifies the type of sink. - `"r2"` - `"r2_data_catalog"` - `config?: CloudflarePipelinesR2TablePublic | CloudflarePipelinesR2DataCatalogTablePublic` Defines the configuration of the R2 Sink. - `CloudflarePipelinesR2TablePublic` R2 Sink public configuration. - `account_id: string` Cloudflare Account ID for the bucket - `bucket: string` R2 Bucket to write to - `file_naming?: FileNaming` Controls filename prefix/suffix and strategy. - `prefix?: string` The prefix to use in file name. i.e prefix-.parquet - `strategy?: "serial" | "uuid" | "uuid_v7" | "ulid"` Filename generation strategy. - `"serial"` - `"uuid"` - `"uuid_v7"` - `"ulid"` - `suffix?: string` This will overwrite the default file suffix. i.e .parquet, use with caution - `jurisdiction?: string` Jurisdiction this bucket is hosted in - `partitioning?: Partitioning` Data-layout partitioning for sinks. - `time_pattern?: string` The pattern of the date string - `path?: string` Subpath within the bucket to write to - `rolling_policy?: RollingPolicy` Rolling policy for file sinks (when & why to close a file and open a new one). - `file_size_bytes?: number` Files will be rolled after reaching this number of bytes - `inactivity_seconds?: number` Number of seconds of inactivity to wait before rolling over to a new file - `interval_seconds?: number` Number of seconds to wait before rolling over to a new file - `CloudflarePipelinesR2DataCatalogTablePublic` R2 Data Catalog Sink public configuration. - `account_id: string` Cloudflare Account ID - `bucket: string` The R2 Bucket that hosts this catalog - `table_name: string` Table name - `namespace?: string` Table namespace - `rolling_policy?: RollingPolicy` Rolling policy for file sinks (when & why to close a file and open a new one). - `file_size_bytes?: number` Files will be rolled after reaching this number of bytes - `inactivity_seconds?: number` Number of seconds of inactivity to wait before rolling over to a new file - `interval_seconds?: number` Number of seconds to wait before rolling over to a new file - `format?: Json | Parquet` - `Json` - `type: "json"` - `"json"` - `decimal_encoding?: "number" | "string" | "bytes"` - `"number"` - `"string"` - `"bytes"` - `timestamp_format?: "rfc3339" | "unix_millis"` - `"rfc3339"` - `"unix_millis"` - `unstructured?: boolean` - `Parquet` - `type: "parquet"` - `"parquet"` - `compression?: "uncompressed" | "snappy" | "gzip" | 2 more` - `"uncompressed"` - `"snappy"` - `"gzip"` - `"zstd"` - `"lz4"` - `row_group_bytes?: number | null` - `schema?: Schema` - `fields?: Array` - `Int32` - `type: "int32"` - `"int32"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Int64` - `type: "int64"` - `"int64"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Float32` - `type: "float32"` - `"float32"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Float64` - `type: "float64"` - `"float64"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Bool` - `type: "bool"` - `"bool"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `String` - `type: "string"` - `"string"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Binary` - `type: "binary"` - `"binary"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Timestamp` - `type: "timestamp"` - `"timestamp"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `unit?: "second" | "millisecond" | "microsecond" | "nanosecond"` - `"second"` - `"millisecond"` - `"microsecond"` - `"nanosecond"` - `Json` - `type: "json"` - `"json"` - `metadata_key?: string | null` - `name?: string` - `required?: boolean` - `sql_name?: string` - `Struct` - `List` - `format?: Json | Parquet` - `Json` - `type: "json"` - `"json"` - `decimal_encoding?: "number" | "string" | "bytes"` - `"number"` - `"string"` - `"bytes"` - `timestamp_format?: "rfc3339" | "unix_millis"` - `"rfc3339"` - `"unix_millis"` - `unstructured?: boolean` - `Parquet` - `type: "parquet"` - `"parquet"` - `compression?: "uncompressed" | "snappy" | "gzip" | 2 more` - `"uncompressed"` - `"snappy"` - `"gzip"` - `"zstd"` - `"lz4"` - `row_group_bytes?: number | null` - `inferred?: boolean | null` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const sinkListResponse of client.pipelines.sinks.list({ account_id: '0123105f4ecef8ad9ca31a8372d0c353', })) { console.log(sinkListResponse.id); } ``` #### Response ```json { "result": [ { "id": "01234567890123457689012345678901", "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "name": "my_sink", "type": "r2", "config": { "account_id": "account_id", "bucket": "bucket", "file_naming": { "prefix": "prefix", "strategy": "serial", "suffix": "suffix" }, "jurisdiction": "jurisdiction", "partitioning": { "time_pattern": "year=%Y/month=%m/day=%d/hour=%H" }, "path": "path", "rolling_policy": { "file_size_bytes": 0, "inactivity_seconds": 1, "interval_seconds": 1 } }, "format": { "type": "json", "decimal_encoding": "number", "timestamp_format": "rfc3339", "unstructured": true }, "schema": { "fields": [ { "type": "int32", "metadata_key": "metadata_key", "name": "name", "required": true, "sql_name": "sql_name" } ], "format": { "type": "json", "decimal_encoding": "number", "timestamp_format": "rfc3339", "unstructured": true }, "inferred": true } } ], "result_info": { "count": 1, "page": 0, "per_page": 10, "total_count": 1 }, "success": true } ```